=== debian/changelog ===
zabbix (1:7.0.9+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Feb 2025 17:05:25 +1100

zabbix (1:7.0.9+dfsg-1) unstable; urgency=medium

  [ Tobias Frost ]
  * Annotate changelog entries for 1:7.0.0+dfsg-1, 1:7.0.1+dfsg-1,
    1:7.0.5+dfsg-1 and 1:7.0.3+dfsg-1 with CVE information.
  * New patch for CVE-2024-36464 (Closes: #1090030).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Updated agent2 config to set PID file location (Closes: #1093277).
    Thanks, Daniel Scharon.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Jan 2025 18:58:13 +1100
